﻿using System;
using HeuristicLab.Services.Hive;
using HeuristicLab.Services.Hive.Common.ServiceContracts;

namespace HeuristicLab.Clients.Hive.Tests {
  public class MockServiceLocator : IServiceLocator {
    private string username;
    public string Username {
      get { return username; }
      set { username = value; }
    }

    private string password;
    public string Password {
      get { return password; }
      set { password = value; }
    }

    public IHiveService GetService() {
      return new HiveService();
    }

    public void CallHiveService(Action<IHiveService> call) {
      call(GetService());
    }

    public T CallHiveService<T>(Func<IHiveService, T> call) {
      return call(GetService());
    }
  }
}
